#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDE,0x2B,0xB4,0x14,0x28,0xB1,0x34,0x1B,0x99,0xE8,0x40,0x56,
		0x9B,0x0D,0x48,0xA2,0x21,0x52,0x12,0x06,0x10,0xB7,0x75,0x02,
		0x2C,0xF9,0x88,0xAD,0x47,0x46,0x54,0x46,0x4C,0xB2,0x87,0x8E,
		0xE4,0x71,0x5D,0xDB,0x08,0xBC,0x4C,0x8E,0x8E,0x95,0xCD,0x68,
		0x29,0xBE,0x30,0x28,0xA6,0x45,0x8B,0xFF,0xAE,0x83,0x93,0x60,
		0x09,0x93,0x6D,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
